Bug 167540 - version in path forces hardcoding
version in path forces hardcoding
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: docbook-dtds (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-04 17:55 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-05 06:06:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2005-09-04 17:55:59 EDT
Description of problem:

By putting the version in the path to the DTDs, it makes it difficult for
programs to consistently find the location of the dtd when generating docs. Some
apps work around this by pulling the dtd from the network, but this doesn't work
in the Fedora Extras buildsystem where we don't have network access.

The obvious workaround would be to create symlinks alongside the fully versioned
path, for example:

/usr/share/sgml/docbook/xml-dtd-4.2-1.0-27/docbookx.dtd ->
/usr/share/sgml/docbook/xml-dtd-4.2/docbookx.dtd

Then, applications looking for the 4.2 dtd can specify it, but not have to
hardcode the version.
Comment 1 Tim Waugh 2005-09-05 06:06:44 EDT
Don't put a system ID in.  Use the public ID, and the XML catalogs will find the
right DTD for you.

Note You need to log in before you can comment on or make changes to this bug.